> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Try on Clothes Pro

> Try on Clothes Pro API creates realistic virtual try-on images from flat clothing and full-body portraits for fashion previews.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/editing/try-on-clothes-pro
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/editing/try-on-clothes-pro:
    post:
      tags:
        - AI PORTRAIT > Portrait Editing
      summary: Try on Clothes Pro
      description: >-
        Try on Clothes Pro API creates realistic virtual try-on images from flat
        clothing and full-body portraits for fashion previews.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                task_type:
                  type: string
                  description: |-
                    Task Type. 
                    - `async`: Asynchronous tasks.
                  example: async
                person_image:
                  type: string
                  format: binary
                  description: Portrait image.
                top_garment:
                  type: string
                  format: binary
                  description: Upper Body Clothing Image.
                resolution:
                  type: number
                  description: >-
                    Output Image Resolution. If you need to call **[Try on
                    Clothes
                    Refiner](https://documenter.getpostman.com/view/26387069/2s93JxqgHE#75de8e09-37dd-4b31-b4f8-33a666cebb2a)**
                    in the future, select `-1`. 

                    - `-1`: Original image resolution. 

                    - `1024`: 576x1024px. 

                    - `1280`: 720x1280px.
                  example: '-1'
                restore_face:
                  type: boolean
                  description: >-
                    Whether to Keep the Model’s Face. If you need to call **[Try
                    on Clothes
                    Refiner](https://documenter.getpostman.com/view/26387069/2s93JxqgHE#75de8e09-37dd-4b31-b4f8-33a666cebb2a)**
                    in the future, select `true`. 

                    - `true`: Keep the model’s original face. 

                    - `false`: Regenerate the model’s face.
                  example: 'true'
                bottom_garment:
                  type: string
                  format: binary
                  description: >-
                    Lower Body Clothing Image. 

                    - If no lower body clothing image is provided, the lower
                    body clothing effect will be randomly generated. 

                    - If lower body clothing is not needed (e.g., when the upper
                    body garment is a dress), this value should be left empty.
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                task_type: ''
                task_id: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````